#
# dirview.py
# $Id: dirview.py,v 1.1 1996/08/29 18:21:44 kzeil Exp $
#
# Koert Zeilstra - Network Solutions
# 1996.08.28
#

import sys
import string
import os

import Tkinter

import rwhois
import multicolumn

class DirectoryViewer(Tkinter.Toplevel):
  def __init__(self, parent):
    Tkinter.Toplevel.__init__(self, parent)

    self._columns = multicolumn.MultiColumnList(self,
		2, ["Field", "Contents"])
    self._columns.selectCommand(self._fieldRowSelected)
    self._columns.pack({"side": "top", "fill": "both", "expand": "yes"})

    frame = Tkinter.Frame(self, {"relief": "sunken", "bd": 1})
    close_button = Tkinter.Button(frame, {"text": "Close", "width": 8,
		"command": self.close})
    close_button.pack({"side": "right", "padx": 3, "pady": 2})
    frame.pack({"side": "top", "fill": "x"})

    self.protocol("WM_DELETE_WINDOW", self.close)

  def close(self):
    sys.exit(0)

  def _fieldRowSelected(self, row):
    pass

  def showInfo(self, filename):
    file = open(filename, "r")
    line = file.readline()
    field_width = 0
    while line:
      i = string.find(line, ":")
      if i > 0:
        field_name = line[:i]
	contents = line[i+1:]
        self._columns.addRow([field_name, contents])
        line = file.readline()
        l = len(field_name)
        if field_width < l:
          field_width = l
      self._columns.setWidth(0, field_width)
    file.close()


root = Tkinter.Tk()
root.withdraw()

root.option_add("*background", "DarkSeaGreen", "widgetDefault")
root.option_add("*highlightBackground", "DarkSeaGreen", "widgetDefault")
root.option_add("*font", "-adobe-helvetica-medium-r-normal-*-14-*-*-*-*-*-*-*", "widgetDefault")
root.option_add("*Text*font", "-*-lucidatypewriter-medium-r-normal-*-12-*-*-*-*-*-*-*", "widgetDefault")
root.option_add("*Menubar*font", "-adobe-helvetica-bold-r-normal-*-14-*-*-*-*-*-*-*", "widgetDefault")
root.option_add("*Menubar*activeForeground", "Blue", "widgetDefault")
root.option_add("*Menubar*activeBackground", "DarkSeaGreen", "widgetDefault")
root.option_add("*Button.background", "Gray80", "widgetDefault")
root.option_add("*Button.activeBackground", "Gray90", "widgetDefault")

app = DirectoryViewer(root)
app.showInfo(sys.argv[1])
root.mainloop ()









