#
# searchbrowse.py
# $Id: searchbrowse.py,v 1.1 1996/09/06 17:28:01 kzeil Exp $
#
# Koert Zeilstra - Network Solutions
# 1996.09.06
#

import Tkinter

import browser

class SearchBrowser(Tkinter.Toplevel):
  def __init__ (self, parent):
    Tkinter.Toplevel.__init__ (self, parent)
    self._close_command = None
    self._find_command = None
    self._ignore_case = Tkinter.IntVar()

    self._ignore_case.set(0)

    search_frame = Tkinter.Frame(self)
    search_label = Tkinter.Label(search_frame, text="Search", anchor="w",
		width=10)
    search_label.pack(side="left")
    self._search_entry = Tkinter.Entry(search_frame, width=25)
    self._search_entry.pack(side="left", fill="x", expand=1)
    search_frame.pack(side="top", fill="x", expand=1)

    case_frame = Tkinter.Frame(self)
    ignore_case = Tkinter.Checkbutton(case_frame, text="Ignore Case",
		variable=self._ignore_case, onvalue=1, offvalue=0)
    ignore_case.pack(side="left")
    case_frame.pack(side="top", fill="x")

    self._browser = browser.RecordBrowser(self)
    #self._browser.queryCommand(self.referralQuery)
    self._browser.pack(side="top", fill="both", expand=1)

    buttons = Tkinter.Frame(self)
    search_button = Tkinter.Button(buttons, text="Find", width=8,
		command=self.find)
    search_button.pack(side="left", pady=2, padx=3)
    close_button = Tkinter.Button(buttons, text="Close", width=8,
		command=self.close)
    close_button.pack (side="right", pady=2, padx=3)
    buttons.pack(side="top", fill="x")

  def find(self):
    search_string = self._search_entry.get()
    if self._find_command and len(search_string) > 0:
      self._find_command(search_string, self._ignore_case.get())

  def showRecords(self, records, schema_cache):
    self._browser.showRecords(records, schema_cache)

  def close (self):
    if self._close_command:
      self._close_command()

  def findCommand (self, func):
    self._find_command = func

  def closeCommand (self, func):
    self._close_command = func

  def queryCommand (self, command):
    self._browser.queryCommand(command)
